Bug 728932 - PackageKit is not working anymore
Summary: PackageKit is not working anymore
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: rawhide
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 12:32 UTC by ralgh
Modified: 2012-09-30 14:59 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-30 14:59:17 UTC


Attachments (Terms of Use)
PackageKit not working anymore (2.44 KB, text/plain)
2011-08-08 12:32 UTC, ralgh
no flags Details

Description ralgh 2011-08-08 12:32:26 UTC
Created attachment 517196 [details]
PackageKit not working anymore

--------------------------------------------
Description of problem:
PackageKit is not working anymore
--------------------------------------------

Version-Release number of selected component:
"Distro version: Fedora release 17 (Rawhide)
PackageKit version:   0.6.17
PackageKit Process Information:
root   1899  0.0  0.5  29548  5344 ?  Sl  12:02 0:00 /usr/libexec/packagekitd)"]

How reproducible: don't know

Error message: 
"Traceback (most recent call last):
  File "/usr/share/PackageKit/helpers/yum/yumBackend.py", line 1825, in refresh_cache
    self.yumbase.doGroupSetup()
("Error: No NETWORK envp
Error: No BACKGROUND envp
Error: No INTERACTIVE envp
Geladene Plugins: langpacks, presto
Kein Plugin für Argument: rpm-warm-cache
Kein Plugin für Argument: remove-with-leaves
Kein Plugin für Argument: auto-update-debuginfo
allow-cancel false") 
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 772, in doGroupSetup
    return self._getGroups()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 797, in _getGroups
    self.pkgSack
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 893, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 674, in _getSacks
    if not self.repos.getPackageSack():
  File "/usr/lib/python2.7/site-packages/yum/packageSack.py", line 378, in __len__
    ret += len(sack)
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 491, in __len__
    pkg_num += self._sql_MD_pkg_num('primary', repo)
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 459, in _sql_MD_pkg_num
    return self._sql_MD('primary', repo, sql).fetchone()[0]
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 55, in newFunc
    raise Errors.RepoError, str(e)
RepoError: database disk image is malformed"
--------------------------------------------

Comment 1 ralgh 2011-08-08 12:37:01 UTC
Comment on attachment 517196 [details]
PackageKit not working anymore

Paketmanager funktioniert nicht mehr / PackageKit is not working anymore

Comment 2 Elad Alfassa 2012-09-30 14:59:17 UTC
This is not a bug in PackageKit's side, it looks like a malformed rpmdb. Google "how to rebuild RPM DB" to fix this issue.

Closing, as we can't fix your rpmdb for you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.